com.pivotal.gemfirexd.internal.client.am

## Class ColumnMetaData

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ColumnMetaData

All Implemented Interfaces:
  ResultSetMetaData, Wrapper

Direct Known Subclasses:
  ColumnMetaData40

    public abstract class ColumnMetaData
    extends Object
    implements ResultSetMetaData

### Field Summary

Fields
`Agent` `agent_`
`int[]` `clientParamtertype_`
`int` `columns_`
`LogWriter` `logWriter_`
`ArrayList` `mddOverrideArray_`
`boolean[]` `nullable_`
`int[][]` `protocolTypesCache_`
`Hashtable` `protocolTypeToOverrideLidMapping_`
`int` `resultSetConcurrency_`
`int[]` `singleMixedByteOrDouble_`
`int[]` `sqlCcsid_`
`String[]` `sqlComment_`
`short` `sqldFcode_`
`short` `sqldHold_`
`short` `sqldKeytype_`
`String` `sqldRdbnam_`
`short` `sqldReturn_`
`String` `sqldSchema_`
`short` `sqldScroll_`
`short` `sqldSensitive_`
`String[]` `sqlLabel_`
`long[]` `sqlLength_`
`String[]` `sqlName_`
`int[]` `sqlPrecision_`
`int[]` `sqlScale_`
`int[]` `sqlType_`
`String[]` `sqlUDTclassName_`
`String[]` `sqlUDTname_`
`short[]` `sqlUnnamed_`
`String[]` `sqlxBasename_`
`String[]` `sqlxCorname_`
`short[]` `sqlxGenerated_`
`short[]` `sqlxKeymem_`
`String[]` `sqlxName_`
`short[]` `sqlxParmmode_`
`String[]` `sqlxRdbnam_`
`String[]` `sqlxSchema_`
`int[]` `sqlxUpdatable_`
`int[]` `types_`

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`ColumnMetaData(Agent agent)`
`ColumnMetaData(Agent agent, int upperBound)`

### Method Summary

Methods
`boolean` `columnIsNotInUnicode(int index)`
`void` `copyTo(ColumnMetaData target)`
`protected void` `finalize()`
`String` `getCatalogName(int column)` What's a column's table's catalog name?
`String` `getColumnClassName(int column)`
`int` `getColumnCount()`
`int` `getColumnDisplaySize(int column)`
`String` `getColumnLabel(int column)`
`String` `getColumnLabelX(int column)`
`String` `getColumnName(int column)`
`int` `getColumnType(int column)`
`String` `getColumnTypeName(int column)`
`int` `getPrecision(int column)`
`int` `getScale(int column)`
`String` `getSchemaName(int column)`
`String` `getTableName(int column)`
`boolean` `hasLobColumns()`
`void` `initializeCache(int upperBound)`
`boolean` `isAutoIncrement(int column)`
`boolean` `isCaseSensitive(int column)`
`boolean` `isCurrency(int column)`
`boolean` `isDefinitelyWritable(int column)`
`int` `isNullable(int column)`
`boolean` `isParameterModeGuessedAsOutput(int parameterIndex)`
`boolean` `isReadOnly(int column)`
`boolean` `isSearchable(int column)`
`boolean` `isSigned(int column)`
`boolean` `isWritable(int column)`
`short` `primaryKey(int column)` Returns number of primary key columns if this column is part of the primary key else returns zero.
`void` `setLogWriter(LogWriter logWriter)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### columns_

    public int columns_

#### nullable_

    public boolean[] nullable_

#### singleMixedByteOrDouble_

    public transient int[] singleMixedByteOrDouble_

#### sqldHold_

    public short sqldHold_

#### sqldReturn_

    public short sqldReturn_

#### sqldScroll_

    public short sqldScroll_

#### sqldSensitive_

    public short sqldSensitive_

#### sqldFcode_

    public short sqldFcode_

#### sqldKeytype_

    public short sqldKeytype_

#### sqldRdbnam_

    public String sqldRdbnam_

#### sqldSchema_

    public String sqldSchema_

#### sqlPrecision_

    public int[] sqlPrecision_

#### sqlScale_

    public int[] sqlScale_

#### sqlLength_

    public long[] sqlLength_

#### sqlType_

    public int[] sqlType_

#### sqlCcsid_

    public int[] sqlCcsid_

#### sqlName_

    public String[] sqlName_

#### sqlLabel_

    public String[] sqlLabel_

#### sqlUnnamed_

    public short[] sqlUnnamed_

#### sqlComment_

    public String[] sqlComment_

#### sqlUDTname_

    public String[] sqlUDTname_

#### sqlUDTclassName_

    public String[] sqlUDTclassName_

#### sqlxKeymem_

    public short[] sqlxKeymem_

#### sqlxGenerated_

    public short[] sqlxGenerated_

#### sqlxParmmode_

    public short[] sqlxParmmode_

#### sqlxCorname_

    public String[] sqlxCorname_

#### sqlxName_

    public String[] sqlxName_

#### sqlxBasename_

    public String[] sqlxBasename_

#### sqlxUpdatable_

    public int[] sqlxUpdatable_

#### sqlxSchema_

    public String[] sqlxSchema_

#### sqlxRdbnam_

    public String[] sqlxRdbnam_

#### protocolTypesCache_

    public transient int[][] protocolTypesCache_

#### protocolTypeToOverrideLidMapping_

    public transient Hashtable protocolTypeToOverrideLidMapping_

#### mddOverrideArray_

    public transient ArrayList mddOverrideArray_

#### types_

    public transient int[] types_

#### clientParamtertype_

    public transient int[] clientParamtertype_

#### logWriter_

    public transient LogWriter logWriter_

#### agent_

    public final transient Agent agent_

#### resultSetConcurrency_

    public transient int resultSetConcurrency_

### Constructor Detail

#### ColumnMetaData

    public ColumnMetaData(Agent agent)

#### ColumnMetaData

    public ColumnMetaData(Agent agent,
                  int upperBound)

### Method Detail

#### copyTo

    public void copyTo(ColumnMetaData target)

#### initializeCache

    public void initializeCache(int upperBound)

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### getColumnCount

    public int getColumnCount()
                       throws SQLException

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws SQLException

Specified by:
  `isAutoIncrement` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws SQLException

Specified by:
  `isCaseSensitive` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isSearchable

    public boolean isSearchable(int column)
                         throws SQLException

Specified by:
  `isSearchable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isCurrency

    public boolean isCurrency(int column)
                       throws SQLException

Specified by:
  `isCurrency` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isNullable

    public int isNullable(int column)
                   throws SQLException

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isSigned

    public boolean isSigned(int column)
                     throws SQLException

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws SQLException

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnLabel

    public String getColumnLabel(int column)
                          throws SQLException

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnLabelX

    public String getColumnLabelX(int column)
                           throws SqlException

Throws:
  `SqlException`

#### getColumnName

    public String getColumnName(int column)
                         throws SQLException

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getSchemaName

    public String getSchemaName(int column)
                         throws SQLException

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getPrecision

    public int getPrecision(int column)
                     throws SQLException

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getScale

    public int getScale(int column)
                 throws SQLException

Specified by:
  `getScale` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getTableName

    public String getTableName(int column)
                        throws SQLException

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getCatalogName

    public String getCatalogName(int column)
                          throws SQLException

What's a column's table's catalog name?

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  column name or "" if not applicable.
Throws:
  `SQLException` - thrown on failure

#### getColumnType

    public int getColumnType(int column)
                      throws SQLException

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnTypeName

    public String getColumnTypeName(int column)
                             throws SQLException

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isReadOnly

    public boolean isReadOnly(int column)
                       throws SQLException

Specified by:
  `isReadOnly` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isWritable

    public boolean isWritable(int column)
                       throws SQLException

Specified by:
  `isWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws SQLException

Specified by:
  `isDefinitelyWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnClassName

    public String getColumnClassName(int column)
                              throws SQLException

Specified by:
  `getColumnClassName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isParameterModeGuessedAsOutput

    public boolean isParameterModeGuessedAsOutput(int parameterIndex)

#### setLogWriter

    public void setLogWriter(LogWriter logWriter)

#### hasLobColumns

    public boolean hasLobColumns()

#### columnIsNotInUnicode

    public boolean columnIsNotInUnicode(int index)

#### primaryKey

    public final short primaryKey(int column)
                           throws SQLException

Returns number of primary key columns if this column is part of the primary key else returns zero.

Throws:
  `SQLException`